---
title: Get leave items for one staff
slug: api/get-leave-items-one-staff
description: API reference for GET endpoint: Get leave items for one staff.
docTags: 
createdAt: 2023-11-30T03:00:33.129Z
---

:::hint{type="info"}
<font color="#2166ae">**GET** </font>**/api/ee-leave-details-balance**
:::

Gets the details for all leave items for **one staff**, using the user ID in your system (external ID).

The leave details includes leave type, leave balance, effective date, and more, which will be displayed in your language of choice.

&#x20;

**Request**

***

<font color="#00a2e9">**Query parameters**</font>

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**lang** <font color="#a7b4c3">string Required</font>
:::

:::VerticalSplitItem
The language settings, formatted as an uppercase [ISO 639-1 code](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes). The leave item information will be displayed in the selected language.

Valid values: EN, ZH
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**customer\_id** <font color="#a7b4c3">string Required</font>
:::

:::VerticalSplitItem
The unique Marco identifier for your company.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**customer\_system\_id** <font color="#a7b4c3">string Required</font>
:::

:::VerticalSplitItem
The staff's unique identifier in your company's system.

Example: 50
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**filter** <font color="#a7b4c3">string Optional</font>
:::

:::VerticalSplitItem
Filter for deleted items. Marco retains deleted items in the system, and you can choose whether deleted items will be returned.

Default: \{"is\_deleted"\:false}
:::
::::

***



**Example Requests**

***

::::CodeDrawer{title="Example" isResponseExpanded="true"}
:::CodeblockTabsExamples
```curl
curl 'https://api.marcopayroll.com/api:benKoCK8/api/ee-leave-details-balance?lang=EN&customer_id=99&customer_system_id=123&filter={"is_deleted":false}' \
-H 'Authorization: $AUTH_TOKEN'
```

```python
import requests

url = "https://api.marcopayroll.com/api:benKoCK8/api/ee-leave-details-balance?lang=EN&customer_id=99&customer_system_id=123&filter={"is_deleted":false}"

headers = {
  'accept': 'application/json',
  'Authorization': 'YOUR_AUTH_TOKEN'
}

response = requests.get(url, headers=headers)

print(response.text)
```
:::

:::CodeblockTabsResponses
```javascript
[
  {
    "id": 1316,
    "user": 1685,
    "customer_id": 99,
    "entitlement": 14,
    "effective_date": "2023-01-01",
    "carried_expiry_date": "2023-07-01",
    "carried": 4,
    "notes": "",
    "created_at": 1691114428862,
    "updated_at": 1691119088462,
    "deleted_at": null,
    "last_modified_by": 33,
    "leave_type": {
      "id": 288,
      "country": "JP",
      "leave_type_name": "Annual Leave",
      "leave_type_notes": "Annual leave should not exceed 14 days"
    },
    "balance": 7,
    "taken": 5,
    "entitlement_can_use": 7
    "carried_can_use": 0,
  },
  {
    "id": 1357,
    "user": 1685,
    "customer_id": 99,
    "entitlement": 10,
    "effective_date": "2023-01-01",
    "carried_expiry_date": "",
    "carried": 0,
    "notes": "Please attach your medical certificate when applying for sick leave",
    "created_at": 1691114428859,
    "updated_at": 1691114428859,
    "deleted_at": null,
    "last_modified_by": 0,
    "leave_type": {
      "id": 289,
      "country": "JP",
      "leave_type_name": "Sick Leave",
      "leave_type_notes": "Paid sick leave cannot exceed 120 days"
    },
    "balance": 6.5,
    "taken": 3.5,
    "entitlement_can_use": 6.5
    "carried_can_use": 0,
  },
  {
    "id": 1358,
    "user": 1685,
    "customer_id": 99,
    "entitlement": 6,
    "effective_date": "2023-01-01",
    "carried_expiry_date": "",
    "carried": 0,
    "notes": "Please provide HR with your family registration certificate before applying for parental leave.",
    "created_at": 1691114428860,
    "updated_at": 1691114428860,
    "deleted_at": null,
    "last_modified_by": 0,
    "leave_type": {
      "id": 531,
      "country": "JP",
      "leave_type_name": "Parental Leave",
      "leave_type_notes": "For parents with children below 12 years old."
    },
    "balance": 6,
    "taken": 0,
    "entitlement_can_use": 6
    "carried_can_use": 0,
  }
]
```
:::
::::



**Response (200)**

***

A successful response will return an array of objects. Each object contains one leave item's details for the staff.

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**id** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The unique Marco identifier for the leave item.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**user** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The unique Marco identifier for the staff.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**customer\_id** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The unique Marco identifier for the staff's company.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**entitlement** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The entitlement amount for the leave item.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**effective\_date** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The effective date for the leave item's entitlement, formatted as YYYY-MM-DD.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**carried\_expiry\_date** <font color="#a7b4c3">string</font>****
:::

:::VerticalSplitItem
The expiry date for the leave item's carried balance, formatted as YYYY-MM-DD.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**carried** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The carried over amount for the leave item.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**notes** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
Company notes for the leave item.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**created\_at** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
Unix timestamp for the leave item's creation date.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**updated\_at** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
Unix timestamp for the leave item's update date.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**deleted\_at** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
Unix timestamp for the leave item's deletion date.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**last\_modified\_by** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The unique Marco identifier for the user who last modified the leave item details.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**&#x7B;leave\_type}** <font color="#a7b4c3">object</font>
:::

:::VerticalSplitItem
Leave type metadata.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
&#x7B;leave\_type}.**id** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The unique Marco identifier for the leave type.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
&#x7B;leave\_type}.**country** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The unique Marco identifier for the leave type's associated country.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
&#x7B;leave\_type}.**leave\_type\_name** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The leave type name.

Example: Sick Leave
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
&#x7B;leave\_type}.**leave\_type\_notes** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The notes for the leave type.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**balance** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The total balance available for the leave item.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**taken** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The total number of leave days consumed for the leave item.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**entitlement\_can\_use** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The amount of available leave, excluding the carried balance.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**carried\_can\_use** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The amount of available carried balance.
:::
::::

***

